# 2.25

* Bug fixes

# 2.24

* Fixed 2D mode sometimes not working on iOS 15
* Fixed sometimes not loading first design on iOS 15

# 2.23

* Added X-Ray wall support
* Fix for crash with certain invalid furniture models

# 2.22

* Bug fixes

# 2.21

* Support for JSON FML format
* Removed jQuery dependency

# 2.20

* Support for material swapped furniture
* Support for loading glTF 2.0 assets
* Bug fixes

# 2.19

* Support for 'structural' item type

# 2.18

* Hide ceilings when UseCeilings3D in project is set to false
* Improved wall generation to prevent grooves
* Materials on walls now also gets used in openings and edges

# 2.17

* Fix for crash with certain invalid furniture models

# 2.16

* Fix for crash caused by use of certain furniture items
* Fix for bug that caused some wash-basins to look distorted

# 2.15

* iPhone X compatible
* Bug fixes

# 2.14

* Fix for bug where some furniture or openings would not appear

# 2.12

* Added ceiling rendering when camera is inside a room
* Fix for Cutout areas not always working
* Fix for crash caused by certain materials
* Fix for some rendering artifacts or crashes on certain GPUs

# 2.11

* Fix for crash when viewer was closed while loading a design
* Fix for crash when changing designs
* Fixed error that caused some scaled furniture to be positioned incorrectly
* Custom surfaces are now double sided
* Custom surfaces are now correctly lit
* Rotation for areas and surfaces are now correct in 3d viewer

# 2.10

* Fix for crash when viewer was closed while loading a floorplan
* Fix for memory leak when changing floor or design
* Fix for some rendering glitches
* Improved battery consumption
* Added support for cut-sections in 3d view

# 2.9

* Fix for crash when viewer was closed while loading a floorplan
* Fix for crash when delegate had no implementation for viewer:didShowDesignWithViewMode:
* Removed excessive logging

# 2.8

* Wall materials in 3d viewer
* Support for Cutout areas in 3d viewer
* Speed improvements
* Breaking change: FPFloor.id and FPDesign.id are now of type int instead of NSString*

# 2.7

* Fix for bug in iOS 11 on devices with A9 or newer chip

# 2.6

* Fix for bug that could cause a crash when switching floor or design
* Fix for bug where furniture would sometimes not be visible through a window
* Fix for bug where some furniture would not properly render

# 2.5

* Added useMetric property
* Fix for bug that could crash 3d viewer
* Fix for memory leak in 3d viewer

# 2.4

* Fix for bug where app could crash on iOS 8 or lower when sending app to back.

# 2.3

* Fix for bug where some glTF models could cause a crash.
* Fix for bug where some new furniture would not be loaded.
